My Project: dgGeneralVector< T > Class Template Reference

My Project

Public Member Functions | Static Public Member Functions | Protected Member Functions | Protected Attributes | Static Protected Attributes | Friends | List of all members
dgGeneralVector< T > Class Template Reference

`#include <dgGeneralVector.h>`

## Public Member Functions

| dgGeneralVector (dgInt32 size)
| dgGeneralVector (dgInt32 size, T *mem)
| dgGeneralVector (const dgGeneralVector< T > &src)
| dgGeneralVector (const dgGeneralVector< T > &src, T *mem)
| ~dgGeneralVector ()
T & | operator[] (dgInt32 i)
const T & | operator[] (dgInt32 i) const
dgInt32 | GetRowCount () const
void | Clear (T val)
void | Copy (const dgGeneralVector< T > &src)
T | DotProduct (const dgGeneralVector &b) const
T | Norm () const
T | Norm2 () const
void | operator+= (const dgGeneralVector &A)
void | operator-= (const dgGeneralVector &A)
void | Scale (T scale)
void | LinearCombine (T scale, const dgGeneralVector &A, const dgGeneralVector &B)
void | Trace () const

## Static Public Member Functions

static dgInt32 | GetFloatOps ()
static dgInt32 | GetMemWrites ()
static void | SetFloatOps (dgInt32 initialCount=0)
static void | SetMemWrites (dgInt32 initialCount=0)

## Protected Member Functions

| dgGeneralVector ()

## Protected Attributes

bool | m_ownMemory
dgInt32 | m_colCount
T * | m_columns

## Static Protected Attributes

static dgInt32 | m_floatsOp = 0
static dgInt32 | m_memoryWrite = 0

## Friends

class | dgSPDMatrix< T >
class | dgGeneralMatrix< T >

## Constructor & Destructor Documentation

## § dgGeneralVector() [1/5]

template<class T >

dgGeneralVector< T >::dgGeneralVector | ( | dgInt32 | size | ) |

## § dgGeneralVector() [2/5]

template<class T >

dgGeneralVector< T >::dgGeneralVector | ( | dgInt32 | size,
|  | T * | mem
| ) |  |

## § dgGeneralVector() [3/5]

template<class T >

dgGeneralVector< T >::dgGeneralVector | ( | const dgGeneralVector< T > & | src | ) |

## § dgGeneralVector() [4/5]

template<class T >

dgGeneralVector< T >::dgGeneralVector | ( | const dgGeneralVector< T > & | src,
|  | T * | mem
| ) |  |

## § ~dgGeneralVector()

template<class T >

dgGeneralVector< T >::~dgGeneralVector | ( |  | ) |

## § dgGeneralVector() [5/5]

template<class T >

dgGeneralVector< T >::dgGeneralVector | ( |  | ) |

protected

## Member Function Documentation

## § Clear()

template<class T >

void dgGeneralVector< T >::Clear | ( | T | val | ) |

## § Copy()

template<class T >

void dgGeneralVector< T >::Copy | ( | const dgGeneralVector< T > & | src | ) |

## § DotProduct()

template<class T >

T dgGeneralVector< T >::DotProduct | ( | const dgGeneralVector< T > & | b | ) | const

## § GetFloatOps()

template<class T >

dgInt32 dgGeneralVector< T >::GetFloatOps | ( |  | ) |

static

## § GetMemWrites()

template<class T >

dgInt32 dgGeneralVector< T >::GetMemWrites | ( |  | ) |

static

## § GetRowCount()

template<class T >

dgInt32 dgGeneralVector< T >::GetRowCount | ( |  | ) | const

## § LinearCombine()

template<class T >

void dgGeneralVector< T >::LinearCombine | ( | T | scale,
|  | const dgGeneralVector< T > & | A,
|  | const dgGeneralVector< T > & | B
| ) |  |

## § Norm()

template<class T >

T dgGeneralVector< T >::Norm | ( |  | ) | const

## § Norm2()

template<class T >

T dgGeneralVector< T >::Norm2 | ( |  | ) | const

## § operator+=()

template<class T >

void dgGeneralVector< T >::operator+= | ( | const dgGeneralVector< T > & | A | ) |

## § operator-=()

template<class T >

void dgGeneralVector< T >::operator-= | ( | const dgGeneralVector< T > & | A | ) |

## § operator[]() [1/2]

template<class T >

T & dgGeneralVector< T >::operator[] | ( | dgInt32 | i | ) |

## § operator[]() [2/2]

template<class T >

const T & dgGeneralVector< T >::operator[] | ( | dgInt32 | i | ) | const

## § Scale()

template<class T >

void dgGeneralVector< T >::Scale | ( | T | scale | ) |

## § SetFloatOps()

template<class T >

void dgGeneralVector< T >::SetFloatOps | ( | dgInt32 | initialCount = `0` | ) |

static

## § SetMemWrites()

template<class T >

void dgGeneralVector< T >::SetMemWrites | ( | dgInt32 | initialCount = `0` | ) |

static

## § Trace()

template<class T >

void dgGeneralVector< T >::Trace | ( |  | ) | const

## Friends And Related Function Documentation

## § dgGeneralMatrix< T >

template<class T>

friend class dgGeneralMatrix< T >

friend

## § dgSPDMatrix< T >

template<class T>

friend class dgSPDMatrix< T >

friend

## Member Data Documentation

## § m_colCount

template<class T>

dgInt32 dgGeneralVector< T >::m_colCount

protected

## § m_columns

template<class T>

T* dgGeneralVector< T >::m_columns

protected

## § m_floatsOp

template<class T>

dgInt32 dgGeneralVector< T >::m_floatsOp = 0

staticprotected

## § m_memoryWrite

template<class T>

dgInt32 dgGeneralVector< T >::m_memoryWrite = 0

staticprotected

## § m_ownMemory

template<class T>

bool dgGeneralVector< T >::m_ownMemory

protected

The documentation for this class was generated from the following file:

- dynamics.mod/NewtonDynamics/source/core/dgGeneralVector.h